> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the tenants of the current user

> Retrieves the collection of Tenant resources.

<sup>Required permissions: `ROLE_USER`</sup>



## OpenAPI

````yaml get /user/tenants
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /user/tenants:
    parameters: []
    get:
      tags:
        - Tenant
      summary: Get the tenants of the current user
      description: |-
        Retrieves the collection of Tenant resources.

        <sup>Required permissions: `ROLE_USER`</sup>
      operationId: getUserTenants
      parameters:
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 1
          style: form
          explode: false
          allowReserved: false
        - name: limit
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 100
          style: form
          explode: false
          allowReserved: false
      responses:
        '200':
          description: Tenant collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Tenant-TenantUserList'
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Tenant-TenantUserList'
      deprecated: false
      security:
        - JWT:
            - ROLE_USER
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /user/tenants \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Tenant-TenantUserList:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ
          type: string
        name:
          minLength: 2
          maxLength: 255
          description: The name of the tenant
          example: ACME
          type: string
        username:
          readOnly: true
          example: acme
          type: string
        legalCompanyName:
          example: Acme Inc.
          type: string
      required:
        - name
        - legalCompanyName
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````